REPRO.CONF(5)

NAME
repro.conf - repro configuration file

SYNOPSIS

/etc/archlinux-repro/repro.conf, $XDG_CONFIG_HOME/archlinux-repro/repro.conf, ~/.repro.conf

DESCRIPTION

Configuration options for repro are stored in repro.conf. This file is sourced by repro on launch. All the variables, regardless of being described below, are exported to the build environment.

The system-wide configuration file is found in /etc/archlinux-repro/repro.conf. Induvidual options can be override on a per-user basis in $XDG_CONFIG_HOME/devtools-repro/repro.conf or ~/.repro.conf, with the former taking priority.

OPTIONS

BOOTSTRAPMIRROR="https://mirror.archlinux.no/iso/latest"
    Download location of the bootstrap image used for creating the container.

BUILDDIRECTORY="/var/lib/repro"
    Location where the containers should be stored.

DIFFOSCOPE="diffoscope"
    Sets the diffoscope(1) command to be ran when unreproducible packages are encountered.

HOSTMIRROR="http://mirror.neuf.no/archlinux/\$repo/os/\$arch"
    The mirror used inside the container by pacman.

IMGDIRECTORY="/tmp/arch_img"
    Location where the Arch Linux bootstrap image should be downloaded to.

MAKEFLAGS="-j$(nproc)"
    Configure MAKEFLAGS on the node. The default is set for optimization purposes.

ARCH_ARCHIVE_CACHE="https://archive.archlinux.org/packages"
    Configure the archive mirror to use when downloading archived packages.

NOCHECK=0
    Decide if makepkg should be run with or without --nocheck inside the container. Note: This could affect the build process.

CACHEDIR=cache
    Choose the cache directory location. The default creates a cache in the working directory.

OUTDIR=./build
    Choose the build output directory. The default creates ./build in the working directory.

SEE ALSO

repro(8)